| Home | Libraries | People | FAQ | More

##### operator<< (6 of 9 overloads)

Format the address to an output stream.

###### Synopsis

Defined in header `<boost/url/ipv6_address.hpp>`

    std::ostream&
    operator<<(
        std::ostream& os,
        ipv6_address const& addr);

###### Description

This function writes the address to an output stream using standard notation.

###### Return Value

The output stream, for chaining.

###### Parameters

Name | Description
--- | ---
`os` | The output stream to write to.
`addr` | The address to write.

Convenience header `<boost/url.hpp>`